Registers an existing legacy notebook instance to the Notebooks API server. Legacy instances are instances created with the legacy Compute Engine calls. They are not manageable by the Notebooks API out of the box. This call makes these instances manageable by the Notebooks API.

### HTTP request

`POST https://notebooks.googleapis.com/v1/{parent}/instances:register`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `parent=projects/{projectId}/locations/{location}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `notebooks.instances.create` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "instanceId": string } ``` |

| Fields ||
|---|---|
| `instanceId` | `string` Required. User defined unique ID of this instance. The `instanceId` must be 1 to 63 characters long and contain only lowercase letters, numeric characters, and dashes. The first character must be a lowercase letter and the last character cannot be a dash. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/notebooks`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).